Description

Hello Bracken and Aureliano,

adding here a new list of FS profiles to be approved or merged. 

Many thanks,

Patricia

History

#1 - Jul 30, 2021 04:58 PM - Patricia Amorim

- File GRSF_Records-export-2021-01-25_UpdateActions_FS_review_30July2021.xlsx added

Hello Bracken, Aureliano,

I appending here another list of profiles to be approved. Some fishing areas of the FS profiles were edited so I am not sure if you need a new harvest

to see the changes in GRSF.

Many thanks,

Patrícia

#2 - Oct 05, 2021 03:22 PM - Aureliano Gentile

- Assignee changed from Bracken van Niekerk to Arturo Muñoz Albero

#3 - Dec 17, 2021 04:09 PM - Aureliano Gentile

- File GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021.xlsx added

- Assignee changed from Arturo Muñoz Albero to Yannis Marketakis

Dear Yannis @marketak@ics.forth.gr,

Following the initial screen made by Patricia, please find attached Excel file with 284 GRSF records kindly checked by Arturo and reviewed by

Bracken and I.

Actions for FORTH are indicated under columns P and Q (FORTH ACTION; FORTH dominant record). Please ignore the colours of the cells.

The records fall under the following categories:

Approve: 116

Merge and Approve: 63

Archive: 1

New Harvest: 12

Re-Harvest: 33

Delete: 27

No Action: 32

No actions are for records which are pending feedback from FishSource, RAM or both. (See columns K, L)

Several FishSource records have been deleted from the FishSource database, we checked against the API e.g. 

https://www.fishsource.org/api/bluebridge/v5/stock/1651

In case of the "Re-Harvest" and "New Harvest" you may have suggestions on how to proceed, and we stand ready to assist or to follow up

accordingly.

With many thanks,

Aureliano
#4 - Dec 17, 2021 04:14 PM - Aureliano Gentile

@amorim.patricia@gmail.com @susana.segurado@sustainablefish.org @merul.patel@sustainablefish.org @mmel@uw.edu 

Dear FishSource and RAMLDB colleagues, please find in the attached file "GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021.xlsx" 32

records for your kind review and action (please see columns K, L). Mostly, it is matter to provide a feedback to our suggested actions or to amend

area codes into your systems.

We stand ready to assist should you require any clarifications.

Thanks

Aureliano

#5 - Dec 20, 2021 10:31 AM - Yannis Marketakis

Dear @aureliano.gentile@fao.org 

Thanks for this. We will proceed with (most of) the corresponding actions immediately.

More specifically, we will move on with the records that require Approve, Merge and approve, Archive, Delete

As regards, the ones with proposed actions New Harvest and Re-Harvest , I suggest relying on GRSF Refresh workflow. So we could refresh the

entire GRSF KB (and the corresponding VREs of course).

Refresh can be executed right away, or we could do it in the first days of January, when we will have the updated APIs from FishSource.

Let me know what you think.

#6 - Dec 21, 2021 05:27 PM - Aureliano Gentile

Thanks Yannis,

I agree that the New Harvest and Re-Harvest records can be performed as soon as @merul.patel@sustainablefish.org confirms his work is

completed according to what we discussed on area codes. (See minutes at 

https://support.d4science.org/projects/stocksandfisherieskb/wiki/21-12-02-GRSF_area_standards)

So, please, @merul.patel@sustainablefish.org indicate your expected schedule.

Yannis, what about deletions, do you want to wait as well? (fine with me in either cases). In this regard I here mention a recent email received by

@susana.segurado@sustainablefish.org indicating:

... due to the change in the API we made earlier this year. Where we have biological stocks with multiple nested assessment units, as is the case

for the NW Atlantic queen crab, we stopped exposing the biological stock, but instead started to expose each of the individual assessment units,

which is aligned with the GRSF "stocks". There must have been several harvests done since then though.

#7 - Dec 22, 2021 08:21 AM - Yannis Marketakis

- Status changed from New to In Progress

- % Done changed from 0 to 20

Thanks for your answer @aureliano.gentile@fao.org 

As regards deletions, I think that we could remove them right away (from GRSF VREs and KB), so that we will also have fewer obsolete records when

we refresh GRSF.

#8 - Dec 22, 2021 12:13 PM - Yannis Marketakis

- File GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021-FORTH_updates-20211222.xlsx added

- % Done changed from 20 to 70

So far, We've carried out the following: 

Approve records : 116

Merge and Approve records : 63

Archive records: 1

Attached you will find the updated XLS document (Check column Y).

@aureliano.gentile@fao.org, as regards deletions, can you please confirm that for each GRSF record, we will remove the corresponding legacy

record as well ?

#9 - Dec 22, 2021 12:20 PM - Aureliano Gentile

What a nice Christmas gift! Thanks!

Regarding deletions, yes I think we remove the legacy records, and the new refresh in January will import any new ones.

I mean, this is the policy we designed by relying on the source databases, if they remove their records, then these are lost in the GRSF as well.

As per UUIDs logic, this may change in the future when the UUIDs are in use by third parties, but for now I think we can keep it "clean". And in any
case it should be an archived records not a deletion.

Thanks again and best wishes!

#10 - Dec 22, 2021 02:02 PM - Yannis Marketakis

- % Done changed from 70 to 90

Thanks for the confirmation.

27 GRSF records (and their corresponding legacy ones) have been removed

#11 - Feb 28, 2022 01:55 PM - Patricia Amorim

- File GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021-FORTH_updates-20211222.xlsx added

- Assignee changed from Yannis Marketakis to Aureliano Gentile

Hello Aureliano,

Apologies for my late reply on this but please find attached our feedback (column L) for the actions requested in your note 4 above.

Best,

Patricia

Files

GRSF_Records-export-2021-01-25_UpdateActions_FS_review_18MAR2021.xlsx82.1 KB Mar 18, 2021 Patrícia Amorim

GRSF_Records-export-2021-01-25_UpdateActions_FS_review_30July2021.xlsx86.5 KB Jul 30, 2021 Patricia Amorim

GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021.xlsx 99.7 KB Dec 17, 2021 Aureliano Gentile

GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021-FORTH_updates-20211222.xlsx114 KB Dec 22, 2021 Yannis Marketakis

GRSF_RecordsReviewSFP-2021-07-30_RevFAO_17Dec2021-FORTH_updates-20211222.xlsx188 KB Feb 28, 2022 Patricia Amorim
